replace memcached add-on #50

Closed
joshsusser opened this Issue Oct 25, 2013 · 3 comments

Comments

Projects
None yet
2 participants
Contributor

joshsusser commented Oct 25, 2013

Heroku Developer,

We've identified you as a user of Memcache, the Couchbase Memcached add-on. This is a final reminder that this add-on is shutting down on Oct 31st. The following apps you own are affected:

sleepy-castle-3866

The loss of Memcache on your app(s) could cause your app to crash, or hinder performance. You must take action to migrate as soon as possible.

Migrating to MemCachier
We recommend MemCachier, an alternative provider in the Marketplace that offers a similar service . The team there are on hand to help you with your migration and have provided documentation here which will help you move your cache.

Getting help with your migration
The teams at Heroku, CouchBase, and MemCachier are here to help you. Please contact support if you run into any problems after migration.

Thank you,
Robbie & the Heroku Add-ons Team

@ghost ghost assigned bf4 Oct 26, 2013

Member

bf4 commented Oct 26, 2013

Done

@bf4 bf4 closed this Oct 26, 2013

@bf4 bf4 reopened this Oct 26, 2013

Member

bf4 commented Oct 26, 2013

Wait, it crashed. looking...

Member

bf4 commented Oct 26, 2013

It appears heroku not to have understood the ruby version specified in the Gemfile and loaded a 1.9.2 environment, but ruby knew the Gemfile specified 1.9.3, hence the crash. Fix in 89a7ac4

(Particularly annoying, since the app doesn't really use caching right now, in the first place).

@bf4 bf4 closed this Oct 26, 2013

bf4 added a commit to bf4/rubyfriends that referenced this issue Apr 18, 2014

Merge branch 'master' into conftweets
* master: (21 commits)
  Update compass-rails; alpha release was yanked
  Remove default_scope, retain previous behavior of published
  Tweets now shown by parameterized id
  force assets recompile
  Per Upgrading to Rails4
  Revert "remove default scope on tweet model"
  Add heroku gems for rails 4, remove the initialize_on_precompile = false
  Update README.md
  Update bundler to default for Rails.env
  update cucumber - fresh vcr cassette
  Fixing cucumber tests
  remove commented railtie requires
  remove default scope on tweet model
  Remove Whenever gem - describe unf as dependency of fog
  removed assets group in Gemfile
  add in New Relic gem
  Updated to rails 4
  Heroku seemed to run a ruby 1.9.2 environment, better specify 1.9.3
  [#50] Switch caching from Memcache to MemCachier
  Specify ruby 1.9.3 for heroku
  ...
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment